Bug 448741 - oddjob-mkhomedir fails with NoInterface error
oddjob-mkhomedir fails with NoInterface error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: oddjob (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 11:06 EDT by Jeff Sheltren
Modified: 2008-07-30 16:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.29.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 22:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Sheltren 2008-05-28 11:06:33 EDT
Description of problem:
After installing oddjob-mkhomedir, doing an 'su -' to a user from the root
account gives the following error:
# su - jeff
com.redhat.oddjob.Error.NoInterface: com.redhat.oddjob_mkhomedir
su: warning: cannot change directory to /home/jeff: No such file or directory

Version-Release number of selected component (if applicable):
oddjob-libs-0.29-2.fc9.i386
oddjob-0.29-2.fc9.i386
oddjob-mkhomedir-0.29-2.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Enable oddjob_mkhomedir by adding the following line to
/etc/pam.d/system-auth-ac:
session     optional      /lib/security/pam_oddjob_mkhomedir.so

2. As root, 'su -' to a user account.
  
Actual results:
Gives above error.  This error even shows up when su'ing to an account that does
have a home directory already.

Expected results:
Should create home directory for user if needed.
Comment 1 Nalin Dahyabhai 2008-05-28 13:00:59 EDT
Aargh.  Looks like I missed a couple of cases when redoing the naming of the
services, and forgot to have the subpackage tell the main service to reload its
configuration when the subpackage gets installed.

I'm building 0.29.1 to fix these problems.  Once the build finishes in koji
(http://koji.fedoraproject.org/koji/taskinfo?taskID=633561), please install them
and let me know if they fix this, so that I can work to get this version into
the updates trees.

Thanks!
Comment 2 Jeff Sheltren 2008-05-28 20:13:57 EDT
After installing the packages from koji, I am getting a different error:

# su - jeff
com.redhat.oddjob.Error.Exec: Child signalled exec() error: Unknown error 254.
su: warning: cannot change directory to /home/jeff: No such file or directory

By the way, the EVR of the package in koji is lower than what's already in F9...?
Comment 3 Nalin Dahyabhai 2008-05-29 12:05:04 EDT
Hmm?  0.29.1 is newer than 0.29.  Dan tells me this might be a policy bug,
adding him to the CC list and moving this back to 'assigned' state.
Comment 4 Daniel Walsh 2008-05-29 13:37:11 EDT
Fixed in selinux-policy-3.3.1-59.fc9.noarch
Comment 5 Nalin Dahyabhai 2008-05-29 13:46:15 EDT
Okay, now that the SELinux-part's fixed in the policy, I'll be proposing 0.29.1
as an update.  Jeff, please jump in here if the combination of the updates
doesn't fix it for you.
Comment 6 Fedora Update System 2008-05-29 15:59:03 EDT
oddjob-0.29.1-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-05-29 15:59:10 EDT
oddjob-0.29.1-1.fc9 has been submitted as an update for Fedora 9
Comment 8 Jeff Sheltren 2008-05-30 09:58:21 EDT
Nalin, sorry I misread the version numbers.

With the latest oddjob and selinux-policy packages this is now working fine. 
Thanks for your help!
Comment 9 Nalin Dahyabhai 2008-05-30 11:54:15 EDT
No worries.  If you have time, please note that the update works for you at
https://admin.fedoraproject.org/updates/F9/pending/oddjob-0.29.1-1.fc9  (If
enough people do that, I don't have to remember to move it from the testing area
to the final area later, because it'll be done automatically.)

Thanks!
Comment 10 Fedora Update System 2008-05-30 22:11:15 EDT
oddjob-0.29.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oddjob'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4678
Comment 11 Fedora Update System 2008-07-23 22:12:49 EDT
oddjob-0.29.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-07-30 16:00:59 EDT
oddjob-0.29.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.